Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface PasswordStoreConfigurationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface PasswordStoreConfigurationMBean
extends weblogic.management.configuration.ConfigurationMBean

Manages the WLI password store

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).
`static String` | `TYPE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `deletePassword(String alias)` delete a password
`String[]` | `getAliasList()` Get all the aliases in the store
`String` | `getPassword(String alias)` Get a password
`void` | `setPassword(String alias, String password)` Set a password
`void` | `updatePassword(String alias, String oldPassword, String newPassword)` update a password

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getAliasList

    public String[] getAliasList()
                          throws javax.management.MBeanException

  Get all the aliases in the store

  Returns:
    array of aliases
  Throws:
    `javax.management.MBeanException`

### getPassword

    public String getPassword(String alias)
                       throws weblogic.management.utils.NotFoundException,
                              javax.management.MBeanException

  Get a password

  Parameters:
    `alias` - Alias of password
  Returns:
    password
  Throws:
    `weblogic.management.utils.NotFoundException`
    `javax.management.MBeanException`

### setPassword

    public void setPassword(String alias,
                            String password)
                     throws weblogic.management.utils.AlreadyExistsException,
                            javax.management.MBeanException

  Set a password

  Parameters:
    `alias` - Alias of password
    `password` - Password to set
  Throws:
    `weblogic.management.utils.AlreadyExistsException`
    `javax.management.MBeanException`

### deletePassword

    public void deletePassword(String alias)
                        throws weblogic.management.utils.NotFoundException,
                               javax.management.MBeanException

  delete a password

  Parameters:
    `alias` - Alias of password
  Throws:
    `weblogic.management.utils.NotFoundException`
    `javax.management.MBeanException`

### updatePassword

    public void updatePassword(String alias,
                               String oldPassword,
                               String newPassword)
                        throws weblogic.management.utils.NotFoundException,
                               javax.management.MBeanException

  update a password

  Parameters:
    `alias` - Alias of password
    `oldPassword` - the old password
    `newPassword` - the new password
  Throws:
    `weblogic.management.utils.NotFoundException`
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD